Bug 645875 - CVE-2010-3856 glibc: ld.so arbitrary DSO loading via LD_AUDIT in setuid/setgid programs [fedora-all]
Summary: CVE-2010-3856 glibc: ld.so arbitrary DSO loading via LD_AUDIT in setuid/setgi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 13
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2010-3856
TreeView+ depends on / blocked
 
Reported: 2010-10-22 18:05 UTC by Petr Matousek
Modified: 2016-11-24 16:03 UTC (History)
3 users (show)

Fixed In Version: glibc-2.11.2-3
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-28 22:19:48 UTC


Attachments (Terms of Use)

Description Petr Matousek 2010-10-22 18:05:25 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=645672

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]

Comment 1 Fedora Update System 2010-10-22 18:13:03 UTC
glibc-2.12.90-18 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/glibc-2.12.90-18

Comment 2 Fedora Update System 2010-10-22 18:14:36 UTC
glibc-2.12.1-4 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/glibc-2.12.1-4

Comment 3 Fedora Update System 2010-10-22 18:18:38 UTC
glibc-2.12.90-18 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/glibc-2.12.90-18

Comment 4 Fedora Update System 2010-10-22 18:20:10 UTC
glibc-2.12.1-4 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/glibc-2.12.1-4

Comment 5 Fedora Update System 2010-10-22 19:02:45 UTC
glibc-2.11.2-3 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/glibc-2.11.2-3

Comment 6 Fedora Update System 2010-10-27 22:36:48 UTC
glibc-2.11.2-3 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update glibc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/glibc-2.11.2-3

Comment 7 Fedora Update System 2010-10-28 22:19:43 UTC
glibc-2.12.1-4 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-10-28 22:21:27 UTC
glibc-2.12.90-18 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-10-30 23:47:12 UTC
glibc-2.11.2-3 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.